Subject: Re: bug#64807: 30.0.50; Editing files using sudo with fprintd hangs

From: Michael Albinus <[email-masked]>
Date: Mon, 28 Aug 2023 13:00:18 +0200

Michael Albinus <[email-masked]> writes:

Hi Theodor,

>> I'm using Ubuntu on a thinkpad with fingerprint scanner, and have
>> enabled it to be used when sudo is invoked, setting it in pam.d. Fprintd
>> is the program (I believe) that checks the fingerprint.
>>
>> Is there some way for Emacs to prompt for the fingerprint to be scanned,
>> and not to freeze up?
>
> Tramp has support for 2FA security. Please add the fingerprint prompt to
> the user option tramp-security-key-confirm-regexp. If there is a second
> message, telling you that the security key (your finger :-) has been
> confirmed, add this message to the user option
> tramp-security-key-confirmed-regexp.

I don't know whether this has worked for you. Could you pls tell?

And in case it works: Which message have you added to
tramp-security-key-confirm-regexp? Something I could add to Tramp proper?

>> Thanks,
>> Theo

Best regards, Michael.